types = 
{
  -- defines a Schema Type called DisplayMetrics
  DisplayMetrics = 
  {
    ReferenceWidth = "number",
	ReferenceHeight = "number",
	LogicalWidth = "integer",
	LogicalHeight = "integer",
	
	ContentScale = "number",
	
	WidthMultiplier = "number", --just a shortcut for LogicalWidth / ReferenceWidth
	HeightMultiplier = "number", --just a shortcut for LogicalHeight / ReferenceHeight
  },

  -- defines a Schema Type called 'SizeConstraints'
  SizeConstraints =
  {
	MinimumWidth = "number",
	MinimumHeight = "number",
	MaximumWidth = "number",
	MaximumHeight = "number"
  }
  
}

data =
{
	DisplayMetrics = "DisplayMetrics",
	ChatBubbleTuning =
	{
		LeftMarginSize = "SizeConstraints",
		TextFieldSize = "SizeConstraints",
		RightMarginSize = "SizeConstraints"
	},
	InboxMessageTextSize = "SizeConstraints"
}